/*
 * Class DYNAMIC_CHAIN [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1701 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1701 [] = {0xFF01,1551,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1701 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1701 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1701 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1701 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1701 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1701 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1701 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1701 [] = {1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1701 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1701 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1701 [] = {0xFF01,1686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1701 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1701 [] = {0xFF01,1700,863,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1701 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1701[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1701), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1701), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1701), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1701), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1701), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1701), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1701), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1701), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1701), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1701), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1701), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1701), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1701), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1701), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1701), 8798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1701), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1701), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1701), 8791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12082, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1701), 12077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1701), 12080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12085, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1701), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12088, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1701), 12077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1701), 12078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12085, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12091, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12377, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1701), 11012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1701), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12092, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1701), 12073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1701), 12074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12090, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12070, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1701), 12380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1701), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1701), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1701(void)
{
	IDSC(desc_1701, 0, 1700);
	IDSC(desc_1701 + 1, 1, 1700);
	IDSC(desc_1701 + 32, 1134, 1700);
	IDSC(desc_1701 + 41, 1060, 1700);
	IDSC(desc_1701 + 47, 1444, 1700);
	IDSC(desc_1701 + 56, 1570, 1700);
	IDSC(desc_1701 + 59, 1534, 1700);
	IDSC(desc_1701 + 66, 916, 1700);
	IDSC(desc_1701 + 72, 1135, 1700);
	IDSC(desc_1701 + 81, 1088, 1700);
	IDSC(desc_1701 + 83, 1245, 1700);
	IDSC(desc_1701 + 86, 387, 1700);
	IDSC(desc_1701 + 88, 636, 1700);
	IDSC(desc_1701 + 102, 778, 1700);
	IDSC(desc_1701 + 103, 340, 1700);
	IDSC(desc_1701 + 111, 254, 1700);
	IDSC(desc_1701 + 114, 554, 1700);
	IDSC(desc_1701 + 115, 878, 1700);
	IDSC(desc_1701 + 116, 794, 1700);
}


#ifdef __cplusplus
}
#endif
